XWAYLAND-SATELLITE(1)

NAME
xwayland-satellite - Rootless Xwayland integration for Wayland compositors

SYNOPSIS
xwayland-satellite [:display] [option ...]

DESCRIPTION
xwayland-satellite is a Wayland client providing a rootless Xwayland(1) integration to any Wayland compositor implementing xdg_wm_base and wm_viewporter. xwayland-satellite acts as an X(7) window manager, useful for Wayland compositors which do not want to implement an Xwayland(1) integration themselves.

OPTIONS
Most of the options of xwayland-satellite are forwarded to Xwayland. See Xserver(1) and Xwayland(1) for more details on these flags.

:display
    Run the X server on the given display.

-ac Disable host-based access control mechanisms. Do not use unless you know exactly what you are doing.

-audit level
    Set the audit trail verbosity level. These logging lines are captured by the logs in the `xwayland_process` category.

-auth authorization-file
    Specify a file with authorization records. This flag can be passed a maximum of one time. See the xdm(1) and Xsecurity(7) man pages.

-core
    Cause Xwayland to generate a core dump on fatal errors. Note this does not generate a core dump on fatal xwayland-satellite errors.

+extension extension-name
    Enable the given extension. Attempting to enable an unrecognized is not a fatal error.

-extension extension-name
    Disable the given extension. Attempting to disable an unrecognized extension is not a fatal error.
    In addition, the following extensions are required and cannot be disabled:
        COMPOSITE
        RANDR
        XFIXES
        X-Resource

    -glamor [gl|es|none]
        Force the use of the given rendering API for Glamor acceleration. Valid parameters are gl to use OpenGL, es to use GL ES, and none to use the shared memory backend. For maximum compatibility with Xwayland(1) builds without the Glamor backend, the none option is converted to the -shm flag under the hood. -help Prints a basic usage message and list of accepted flags and returns 0.

    -listen
        Enable a transport mechanism. This option can be used multiple times to enable multiple transport mechanisms. This option overrides a previous -nolisten sent with the same parameter.

    -nolisten
        Disable a transport mechanism. This option can be used multiple times to disable multiple transport mechanisms. This option overrides a previous -listen sent with the same parameter.

    -listenfd fd
        Add the given fd as a socket for X clients to connect to. This option is used by integrating Wayland compositors to automatically start xwayland-satellite when an X application is started.

    --test-listenfd-support
        Exit with status code 0 if the build of xwayland-satellite supports the -listenfd flag. For maximum compatibility with older versions of xwayland-satellite, it is necessary to always pass the :display option when using this flag and the -listenfd flag.

    -verbose [n]
        Increases the verbosity of Xwayland's logging. If a numeric variable is passed, set the verbosity to that level, otherwise increasing the verbosity level by 1. See the RUST_LOG environment variable for changing xwayland-satellite's logging.

    -version
        Display the version identifier of xwayland-satellite and return 0.

ENVIRONMENT

RUST_LOG
    Configures the output of the logs. See https://docs.rs/env-logger/#filtering-results/ for more information on how to set this variable.

WAYLAND_DISPLAY
    Name of the Wayland server's display.

XDG_RUNTIME_DIR
    The directory used by xwayland-satellite to both look for the Wayland socket to connect to and to create the Wayland socket Xwayland will connect to.

BUGS
If you have found a bug in xwayland-satellite, please report it to https://github.com/Supreeeme/xwayland-satellite/issues/.

SEE ALSO
X(7), Xserver(1), Xwayland(1),